Skip to main content

Update a Registry

PATCH/v2/registries/{registryId}
API version
v2
Request method
PATCH
Operation ID
container-update-registry

Request​

  • registryIdstring (uuid)required

    ID of the Registry to be updated.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"credentials":null,"description":"DockerHub","uri":"index.docker.io"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/registries/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.updateRegistry({
"registryId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"credentials": null,
"description": "DockerHub",
"uri": "index.docker.io"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\UpdateRegistry\UpdateRegistryRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Container\UpdateRegistry\UpdateRegistryRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdateRegistryRequestBody to learn how to construct a valid instance
$body = new UpdateRegistryRequestBody(/* TODO: ... */);

$request = (new UpdateRegistryRequest(
registryId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->container()->updateRegistry($request);

var_dump($response->getBody();

On this page